/*
    dpf.cd v1.0 by Skytech243,
    author : Junior Kabuya
    date : 29 May 2024
    Hey Inspector, if you're here and like the design, take a look at skytech243.com
*/

@import url('https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Inter:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css?family=Muli:300,700|Nunito');

/*---------------------------------------
     Constants
-----------------------------------------*/
:root {
    --col1: #ff7703;
    --col2: #13b500;
    --col3: #8e542f;
    --col4: #c6805e;
    --col5: #fe0908;
    --col6 : #575757;
    --col7: #82b1ff;
    --dark: #092032;
    --body: #516171;
    --border: rgba(0,0,0,0.1);
    --shadow: 0px 6px 30px rgba(0, 0, 0, 0.08);

}


/*---------------------------------------
     ALL
-----------------------------------------*/

body {
    font-family: "Barlow", sans-serif !important;
    /* font-family: 'Nunito', sans-serif; */
    color: var(--body) !important;
    overflow-x: hidden;
    padding-top: 70px;
}

.text-orange{
    color: var(--col1) !important;
}


.btn-custom {
    background-color: var(--col7) !important;
    color: white !important;
    border: none !important;
    padding: 7px 15px !important;
    font-size: 16px !important;
    border-radius: 5px !important;
    cursor: pointer !important;
}

.btn-custom:hover {
    background-color: #e65c00 !important;
}


.btn-custom-2 {
    background-color: #e65c00 !important;
    color: white !important;
    border: none !important;
    padding: 7px 15px !important;
    font-size: 16px !important;
    border-radius: 5px !important;
    cursor: pointer !important;
}

.btn-custom-2:hover {
    background-color: var(--col7) !important;
}


/*---------------------------------------
       PRE LOADER
-----------------------------------------*/

.preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    background: none repeat scroll 0 0 #ffffff;
}

.spinner {
    border: 3px solid transparent;
    border-radius: 3px;
    position: relative;
}

  .spinner:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 45px;
    height: 45px;
    margin-top: -10px;
    margin-left: -10px;
    border-radius: 50%;
    border: 3px solid var(--col1);
    border-top-color: #ffffff;
    animation: spinner .9s linear infinite;
}

@-webkit-@keyframes spinner {
    to {transform: rotate(360deg);}
}

  @keyframes spinner {
    to {transform: rotate(360deg);}
}
/*---------------------------------------
    MENU
-----------------------------------------*/

.custom-navbar {
    background: #ffffff;
    border-top: 10px solid var(--col7);
    border-bottom: 0;
    -webkit-box-shadow: 0 1px 30px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 1px 30px rgba(0, 0, 0, 0.1);
    box-shadow: 0 1px 30px rgba(0, 0, 0, 0.1);
    padding: 12px 0;
    margin-bottom: 0;
    padding: 0 !important;
}

.custom-navbar .navbar-brand {
    line-height: 60px;
}

.custom-navbar .navbar-brand .brand-logo {
    max-height: 60px; /* Adjust the height as needed */
    width: auto; /* Maintain aspect ratio */
}

.custom-navbar .navbar-nav .nav-item .nav-link {
    color: #575757;
    padding-right: 25px;
    padding-left: 25px;
    line-height: 60px;
}

.custom-navbar .navbar-nav .nav-item .nav-link:hover,
.custom-navbar .navbar-nav .nav-item .nav-link:focus,
.custom-navbar .navbar-nav .nav-item.active .nav-link {
    background-color: var(--col7);
    color: #ffffff;
    width: 100%;
}

@media (max-width: 991.98px) {
    .custom-navbar .navbar-nav .nav-item .nav-link {
        padding: 0px;
        text-align: center !important;
        line-height: 40px !important;
}
    .custom-navbar .navbar-nav .nav-item .nav-link:hover,
    .custom-navbar .navbar-nav .nav-item .nav-link:focus,
    .custom-navbar .navbar-nav .nav-item.active .nav-link {
        background-color: var(--col7);
        color: #ffffff;
        width: 100%;
}

}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .custom-navbar .nav li a {
      padding-right: 8px;
      padding-left: 8px;
}
}


.custom-navbar .nav li a:hover {
    background-color: var(--col7);
    color: #ffffff;
}

.custom-navbar .nav li.active > a {
    background-color: var(--col7);
    color: #ffffff;
}


.custom-navbar .navbar-toggler {
    border: none;
    padding-top: 10px;
}

.custom-navbar .navbar-toggler {
    background-color: transparent;
}


 .nav .nav-item .nav-link .phone {
    background: var(--col1);
    border-radius: 100%;
    color: #ffffff;
    width: 60px;
    height: 60px;
    line-height: 40px;
    text-align: center;
    display: inline;
    margin-right: 5px;
    padding: 5px;
}

.nav li a {
    line-height: 40px;
    color: #575757;
    padding-right: 22px;
    padding-left: 22px;
}

.custom-navbar .navbar-nav .dropdown-menu {
    min-width: auto;
    line-height: 40px;

}
.custom-navbar .navbar-nav .dropdown-item {
    color: #575757;
}
.custom-navbar .navbar-nav .dropdown-item:hover,
.custom-navbar .navbar-nav .dropdown-item:focus {
    background-color: var(--col1);
    color: #ffffff;
}

/*---------------------------------------
    OWL
-----------------------------------------*/

.slide {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.slide1 {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.7)), url(../img/back-img.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.slide2 {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.7)), url(../img/back-img-2.JPG);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.slide3 {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.7)), url(../img/back-img-4.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.slide4{
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.7)), url(../img/back-img-3.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.section-btn {
    background: transparent !important;
    border-radius: 50px !important;
    border: 2px solid #ffffff!important;
    color: #ffffff!important;
    font-size: inherit !important;
    font-weight: normal !important;
    padding: 15px 30px !important;
    transition: 0.5s !important;
}

.section-btn:hover {
    border-color: transparent !important;
    border: 2px solid var(--col1)  !important;
    color: var(--col1)  !important;
}



/*---------------------------------------
    ABOUT
-----------------------------------------*/

#about figure {
    display: inline-block;
    vertical-align: top;
}

#about figure span {
    float: left;
    margin-left: -5px;
    padding: 15px 20px;
    position: relative;
    top: 10px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: var(--col7);
    border-radius: 50%;
    color: #ffffff;
    font-size: 25px;
    width: 50px;
    height: 50px;
    margin-right: 15px;
}


#about figure span i {
    font-size: 25px;
}

#about figcaption h3 {
    margin-top: 0;
    font-size: 1.5rem;
}

#about figcaption p {
    margin-bottom: 0;
    text-align: justify;
}


/*---------------------------------------
  COURSES
-----------------------------------------*/

#blog .courses-detail h3 a {
    text-decoration: none;
}

/* Vos autres styles existants */
#blog .section-title {
    text-align: center;
}

.courses-thumb {
    background: #f9f9f9;
    position: relative;
}

.courses-top {
    position: relative;
}

.courses-image img {
    width: 100%;
    height: auto;
}

.courses-date {
    background: linear-gradient(rgba(255, 0, 0, 0), rgba(0, 0, 0, 0.6));
    width: 100%;
    position: absolute;
    bottom: 0;
    padding: 20px 25px;
}

.courses-date span,
.courses-author span {
    font-size: 14px;
    font-weight: bold;
}

.courses-date span {
    color: #ffffff;
    display: inline-block;
    margin-right: 10px;
}

.courses-detail {
    padding: 25px 25px 15px 25px;
}

.courses-detail h3 {
    margin: 0 0 2px 0;
}

.courses-info {
    border-top: 1px solid #f0f0f0;
    position: relative;
    clear: both;
    padding: 15px 25px;
}

.courses-author,
.courses-author span {
    display: inline-block;
    vertical-align: middle;
}

.courses-author img {
    display: inline-block !important;
    border-radius: 50px;
    width: 50px !important;
    height: 50px;
    margin-right: 10px;
}

.courses-price {
    float: right;
    margin-top: 10px;
}

.courses-price span {
    background: var(--col7);
    border-radius: 2px;
    color: #ffffff;
    display: block;
    padding: 5px 10px;
}

.courses-price.free span {
    background: var(--col7);
}

#blog .courses-detail h3 a {
    text-decoration: none;
    color: var(--col7);
}

#blog .courses-detail h3 a:hover {
    color: var(--col1);
}


/*---------------------------------------
      FEATURE
-----------------------------------------*/

.feature-thumb {
    border: 1px solid #f0f0f0;
    padding: 2em 1.5em;
}

.feature-thumb span {
    background: var(--col1);
    border-radius: 50px;
    color: #ffffff;
    font-size: 25px;
    font-weight: bold;
    display: inline-block;
    width: 60px;
    height: 60px;
    line-height: 60px;
    text-align: center;
    margin-bottom: 5px;
}

.feature-thumb h3 {
    margin: 10px 0;
}

/*---------------------------------------
      CONTACT
-----------------------------------------*/

#contact {
    background: var(--col7);
}

#contact h2 {
    color: #ffffff;
}

#contact .section-title {
    padding-bottom: 20px;
}

#contact h2 > small,
#contact p,
#contact a {
    color: #f9f9f9;
}

#contact-form {
    padding: 1em 0;
}

#contact-form .col-md-12,
#contact-form .col-md-4 {
    padding-left: 0;
}

#contact-form .form-control {
    border: 0;
    border-radius: 5px;
    box-shadow: none;
    margin: 10px 0;
}

#contact-form input {
    height: 50px;
}

#contact-form input[type='submit'] {
    border-radius: 50px;
    border: 1px solid transparent;
}

#contact-form input[type='submit']:hover {
    background: transparent;
    border-color: #ffffff;
    color: #ffffff;
}

.img-responsive {
    display: block;
    max-width: 100%;
    height: auto;
}


/*---------------------------------------
    FOOTER
-----------------------------------------*/

footer {
    background: #252020;
    padding: 50px 0;
}

footer .section-title {
    padding-bottom: 10px;
}

footer h2 {
    font-size: 20px;
}

footer a,
footer p {
    color: #909090;
}

footer strong {
    color: #d9d9d9;
}

footer address p {
    margin-bottom: 0;
}

footer .social-icon {
    margin-top: 25px;
}

.footer-info {
    margin-right: 2em;
}

.footer-info h2 {
    color: #ffffff;
    padding: 0;
}

.footer_menu h2 {
    margin-top: 2em;
}

.footer_menu ul {
    margin: 0;
    padding: 0;
}

.footer_menu li {
    display: inline-block;
    list-style: none;
    margin: 5px 10px 5px 0;
}



/*---------------------------------------
     SOCIAL ICON
  -----------------------------------------*/

  .social-icon {
    position: relative;
    padding: 0;
    margin: 0;
  }

  .social-icon li {
    display: inline-block;
    list-style: none;
    margin-bottom: 5px;
  }

  .social-icon li a {
    border-radius: 100px !important;
    color: #82b1ff !important;
    font-size: 15px !important;
    width: 35px !important;
    height: 35px !important;
    line-height: 35px !important;
    text-decoration: none !important;
    text-align: center !important;
    transition: all 0.4s ease-in-out !important;
    position: relative !important;
    margin: 5px 5px 5px 0 !important;
  }

  .social-icon li a:hover {
    background: #82b1ff !important;
    color: #ffffff !important;
  }

  .fa-brands{
    display: inline-block;
  }

  .about-bg{
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }

  /*---------------------------------------
TEAM
-----------------------------------------*/

.team-thumb {
    background: var(--col4) !important;
    position: relative;
    overflow: hidden;
    text-align: left;
}

.team-info {
    padding: 20px;
}

.team-image img {
    width: 100%;
}

.team-thumb .social-icon {
    border-top: 1px solid #f0f0f0;
    padding: 4px 0 0 0;
}

.team-thumb .social-icon li a {
    color: #fff !important;
}

.team-icon:hover{
    color: var(--col7) !important;
    transition: color 0.3s ease, transform 0.3s ease !important;
    cursor: pointer !important;
}

.team-info h3 {
    margin: 0;
}
